in scala.actors
class TickedScheduler

`class` TickedScheduler
  `extends` java.lang.Thread
  `with` scala.actors.IScheduler
  `with` scala.ScalaObject

  This scheduler uses a thread pool to execute tasks that are generated by the execution of actors. Unlike `ThreadPoolScheduler`, this scheduler is available on all Java versions >= 1.4.

Version:
  0.9.5
Author:
  Philipp Haller

Constructor Summary
| `def` this

Val inherited from scala.actors.IScheduler
QUIT_TASK

Var inherited from java.lang.Thread
inheritableThreadLocals , threadLocals

Def Summary
| `def` execute (item: scala.actors.Reaction) : scala.Unit
| `def` execute (task: scala.actors.FJTask) : scala.Unit
| `def` getTask (worker: scala.actors.WorkerThread) : scala.actors.Reaction
| `def` onLockup (handler: () => scala.Unit) : scala.Unit
| `def` onLockup (millis: scala.Int)(handler: () => scala.Unit) : scala.Unit
| `def` pendReaction : scala.Unit
| `def` printActorDump : scala.Unit
`override` | `def` run : scala.Unit
| `def` shutdown : scala.Unit Shuts down all idle worker threads.
| `def` snapshot : scala.actors.LinkedQueue
| `def` start (task: scala.actors.Reaction) : scala.Unit
| `def` terminated (a: scala.actors.Actor) : scala.Unit
| `def` tick (a: scala.actors.Actor) : scala.Unit
| `def` unPendReaction : scala.Unit

Def inherited from java.lang.Thread
blockedOn , checkAccess, countStackFrames, destroy, getContextClassLoader, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, interrupt, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setName, setPriority, setUncaughtExceptionHandler, start, stop, stop, suspend, toString

Def inherited from scala.actors.IScheduler
execute , execute, getTask, onLockup, onLockup, pendReaction, printActorDump, shutdown, snapshot, start, start, terminated, tick, unPendReaction

Constructor Detail

`def` this

Def Detail

`def` execute (item: scala.actors.Reaction): scala.Unit

Parameters:
  `item -` the task to be executed.

`def` execute (task: scala.actors.FJTask): scala.Unit

`def` getTask (worker: scala.actors.WorkerThread): scala.actors.Reaction

Parameters:
  `worker -` the worker thread executing tasks
Returns:
  the executed task

`def` onLockup (handler: () => scala.Unit): scala.Unit

`def` onLockup (millis: scala.Int)(handler: () => scala.Unit): scala.Unit

`def` pendReaction : scala.Unit

`def` printActorDump : scala.Unit

`override def` run : scala.Unit

`def` shutdown : scala.Unit

  Shuts down all idle worker threads.

`def` snapshot : scala.actors.LinkedQueue

`def` start (task: scala.actors.Reaction): scala.Unit

`def` terminated (a: scala.actors.Actor): scala.Unit

`def` tick (a: scala.actors.Actor): scala.Unit

Parameters:
  `a -` the actor

`def` unPendReaction : scala.Unit